Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieves a specific workflow_task by id
cURL
curl --request GET \ --url https://api.rootly.com/v1/workflow_tasks/{id} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": "<string>", "type": "workflow_tasks", "attributes": { "workflow_id": "<string>", "task_params": { "summary": "<string>", "task_type": "add_action_item", "attribute_to_query_by": "jira_issue_id", "query_value": "<string>", "incident_role_id": "<string>", "assigned_to_user_id": "<string>", "assigned_to_user": { "id": "<string>", "name": "<string>" }, "kind": "<string>", "description": "<string>", "post_to_incident_timeline": true, "custom_fields_mapping": "<string>", "post_to_slack_channels": [ { "id": "<string>", "name": "<string>" } ] }, "position": 123, "skip_on_failure": true, "enabled": true, "created_at": "<string>", "updated_at": "<string>", "name": "<string>" } }, "included": [ { "id": "<string>", "type": "<string>", "attributes": {}, "relationships": {} } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
workflow_task found
Show child attributes
Was this page helpful?
Contact support